{
  "pageType": {
    "type": "string",
    "default": ""
  },
  "recordId": {
    "type": "string",
    "default": ""
  },
  "showRecordMarkers": {
    "type": "boolean",
    "default": true
  },
  "showRecordBoundaries": {
    "type": "boolean",
    "default": true
  },
  "showRecordLabels": {
    "type": "boolean",
    "default": false
  },
  "showListingsMarkers": {
    "type": "boolean",
    "default": false
  },
  "showListingsBoundaries": {
    "type": "boolean",
    "default": false
  },
  "showListingsLabels": {
    "type": "boolean",
    "default": true
  },
  "showRegionsMarkers": {
    "type": "boolean",
    "default": true
  },
  "showRegionsBoundaries": {
    "type": "boolean",
    "default": false
  },
  "showRegionsLabels": {
    "type": "boolean",
    "default": true
  },
  "markerFillColor": {
    "type": "string",
    "default": "#EA4335"
  },
  "markerStrokeColor": {
    "type": "string",
    "default": "#fff"
  },
  "markerAnchor": {
    "type": "array",
    "default": [0, 0]
  },
  "markerOrigin": {
    "type": "array",
    "default": [0, 0]
  },
  "markerLabelOriginHeight": {
    "type": "number",
    "default": 0
  },
  "markerLabelClass": {
    "type": "string",
    "default": "itinerator-map-marker-label"
  },
  "markerStrokeWeight": {
    "type": "number",
    "default": 1
  },
  "markerWidth": {
    "type": "number",
    "default": 50
  },
  "markerHeight": {
    "type": "number",
    "default": 50
  },
  "markerUrl": {
    "type": "string",
    "default": ""
  },
  "boundaryFillColor": {
    "type": "string",
    "default": "#222"
  },
  "boundaryFillOpacity": {
    "type": "number",
    "default": 0.3
  },
  "boundaryStrokeColor": {
    "type": "string",
    "default": "#000"
  },
  "boundaryStrokeOpacity": {
    "type": "number",
    "default": 1
  },
  "boundaryStrokeWeight": {
    "type": "number",
    "default": 1
  },
  "tagFilters": {
    "type": "array",
    "default": []
  },
  "customTemplateName": {
    "type": "string",
    "default": ""
  },
  "linkedPageId": {
    "type": "string",
    "default": ""
  },
  "linkedRegionPageId": {
    "type": "string",
    "default": ""
  }
}
